<?php
/**
 * Description of GrowthControllSetting
 *
 * @author user
 */
class GrowthControllSetting {
    public function getData() {
        $growthExpControll = new GrowthExpControll();
        $growthExpControllPackage = new GrowthExpControllPackage();
        $data_info = $growthExpControll->findAllByDisplay();
        $brokerGroup = new BrokerGroup();
        $packages = $brokerGroup->getExpBrokerGroup();
        //ÉèÖÃÍ¾¾¶
        if (CommonBase::isFullArray($data_info)) {
            foreach($data_info as $key => &$value) {
                $wayAlias = $value['alias'];
				if ($packages) {
				   foreach ($packages as $k => $v) {
						$packageId = $v['id'];
						$value['packageScore' . $packageId] = 
								$growthExpControllPackage->findScoreByWayAliasAndPackageId(
										$wayAlias,$packageId); 
					}
				}
 
            }
        }
        return $data_info;
    }
}
